org.apache.synapse.commons.staxon.core.base

## Class AbstractXMLInputFactory

- java.lang.Object
- - javax.xml.stream.XMLInputFactory
  - - org.apache.synapse.commons.staxon.core.base.AbstractXMLInputFactory

- Direct Known Subclasses:
    JsonXMLInputFactory

      public abstract class AbstractXMLInputFactory
      extends javax.xml.stream.XMLInputFactory

  Abstract XML input factory.

- - ### Field Summary

    - ### Fields inherited from class javax.xml.stream.XMLInputFactory

      `ALLOCATOR, IS_COALESCING, IS_NAMESPACE_AWARE, IS_REPLACING_ENTITY_REFERENCES, IS_SUPPORTING_EXTERNAL_ENTITIES, IS_VALIDATING, REPORTER, RESOLVER, SUPPORT_DTD`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractXMLInputFactory()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `javax.xml.stream.XMLStreamReader` | `createFilteredReader(javax.xml.stream.XMLStreamReader reader, javax.xml.stream.StreamFilter filter)`
    `javax.xml.stream.XMLEventReader` | `createXMLEventReader(java.io.InputStream stream)`
    `javax.xml.stream.XMLEventReader` | `createXMLEventReader(java.io.InputStream stream, java.lang.String encoding)`
    `javax.xml.stream.XMLEventReader` | `createXMLEventReader(java.io.Reader reader)`
    `javax.xml.stream.XMLEventReader` | `createXMLEventReader(javax.xml.transform.Source source)`
    `javax.xml.stream.XMLEventReader` | `createXMLEventReader(java.lang.String systemId, java.io.InputStream stream)`
    `javax.xml.stream.XMLEventReader` | `createXMLEventReader(java.lang.String systemId, java.io.Reader reader)`
    `javax.xml.stream.XMLStreamReader` | `createXMLStreamReader(javax.xml.transform.Source source)`
    `javax.xml.stream.util.XMLEventAllocator` | `getEventAllocator()`
    `java.lang.Object` | `getProperty(java.lang.String name)`
    `javax.xml.stream.XMLReporter` | `getXMLReporter()`
    `javax.xml.stream.XMLResolver` | `getXMLResolver()`
    `boolean` | `isPropertySupported(java.lang.String name)`
    `void` | `setEventAllocator(javax.xml.stream.util.XMLEventAllocator allocator)`
    `void` | `setProperty(java.lang.String name, java.lang.Object value)`
    `void` | `setXMLReporter(javax.xml.stream.XMLReporter reporter)`
    `void` | `setXMLResolver(javax.xml.stream.XMLResolver resolver)`

    - ### Methods inherited from class javax.xml.stream.XMLInputFactory

      `createFilteredReader, createXMLEventReader, createXMLStreamReader, createXMLStreamReader, createXMLStreamReader, createXMLStreamReader, createXMLStreamReader, newFactory, newFactory, newInstance, newInstance`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AbstractXMLInputFactory

          public AbstractXMLInputFactory()

  - ### Method Detail

    - #### createXMLStreamReader

          public javax.xml.stream.XMLStreamReader createXMLStreamReader(javax.xml.transform.Source source)
                                                                 throws javax.xml.stream.XMLStreamException

      Specified by:
        `createXMLStreamReader` in class `javax.xml.stream.XMLInputFactory`
      Throws:
        `javax.xml.stream.XMLStreamException`

    - #### createXMLEventReader

          public javax.xml.stream.XMLEventReader createXMLEventReader(java.io.Reader reader)
                                                               throws javax.xml.stream.XMLStreamException

      Specified by:
        `createXMLEventReader` in class `javax.xml.stream.XMLInputFactory`
      Throws:
        `javax.xml.stream.XMLStreamException`

    - #### createXMLEventReader

          public javax.xml.stream.XMLEventReader createXMLEventReader(java.lang.String systemId,
                                                                      java.io.Reader reader)
                                                               throws javax.xml.stream.XMLStreamException

      Specified by:
        `createXMLEventReader` in class `javax.xml.stream.XMLInputFactory`
      Throws:
        `javax.xml.stream.XMLStreamException`

    - #### createXMLEventReader

          public javax.xml.stream.XMLEventReader createXMLEventReader(javax.xml.transform.Source source)
                                                               throws javax.xml.stream.XMLStreamException

      Specified by:
        `createXMLEventReader` in class `javax.xml.stream.XMLInputFactory`
      Throws:
        `javax.xml.stream.XMLStreamException`

    - #### createXMLEventReader

          public javax.xml.stream.XMLEventReader createXMLEventReader(java.io.InputStream stream)
                                                               throws javax.xml.stream.XMLStreamException

      Specified by:
        `createXMLEventReader` in class `javax.xml.stream.XMLInputFactory`
      Throws:
        `javax.xml.stream.XMLStreamException`

    - #### createXMLEventReader

          public javax.xml.stream.XMLEventReader createXMLEventReader(java.io.InputStream stream,
                                                                      java.lang.String encoding)
                                                               throws javax.xml.stream.XMLStreamException

      Specified by:
        `createXMLEventReader` in class `javax.xml.stream.XMLInputFactory`
      Throws:
        `javax.xml.stream.XMLStreamException`

    - #### createXMLEventReader

          public javax.xml.stream.XMLEventReader createXMLEventReader(java.lang.String systemId,
                                                                      java.io.InputStream stream)
                                                               throws javax.xml.stream.XMLStreamException

      Specified by:
        `createXMLEventReader` in class `javax.xml.stream.XMLInputFactory`
      Throws:
        `javax.xml.stream.XMLStreamException`

    - #### createFilteredReader

          public javax.xml.stream.XMLStreamReader createFilteredReader(javax.xml.stream.XMLStreamReader reader,
                                                                       javax.xml.stream.StreamFilter filter)
                                                                throws javax.xml.stream.XMLStreamException

      Specified by:
        `createFilteredReader` in class `javax.xml.stream.XMLInputFactory`
      Throws:
        `javax.xml.stream.XMLStreamException`

    - #### getEventAllocator

          public javax.xml.stream.util.XMLEventAllocator getEventAllocator()

      Specified by:
        `getEventAllocator` in class `javax.xml.stream.XMLInputFactory`

    - #### setEventAllocator

          public void setEventAllocator(javax.xml.stream.util.XMLEventAllocator allocator)

      Specified by:
        `setEventAllocator` in class `javax.xml.stream.XMLInputFactory`

    - #### getXMLResolver

          public javax.xml.stream.XMLResolver getXMLResolver()

      Specified by:
        `getXMLResolver` in class `javax.xml.stream.XMLInputFactory`

    - #### setXMLResolver

          public void setXMLResolver(javax.xml.stream.XMLResolver resolver)

      Specified by:
        `setXMLResolver` in class `javax.xml.stream.XMLInputFactory`

    - #### getXMLReporter

          public javax.xml.stream.XMLReporter getXMLReporter()

      Specified by:
        `getXMLReporter` in class `javax.xml.stream.XMLInputFactory`

    - #### setXMLReporter

          public void setXMLReporter(javax.xml.stream.XMLReporter reporter)

      Specified by:
        `setXMLReporter` in class `javax.xml.stream.XMLInputFactory`

    - #### isPropertySupported

          public boolean isPropertySupported(java.lang.String name)

      Specified by:
        `isPropertySupported` in class `javax.xml.stream.XMLInputFactory`

    - #### getProperty

          public java.lang.Object getProperty(java.lang.String name)
                                       throws java.lang.IllegalArgumentException

      Specified by:
        `getProperty` in class `javax.xml.stream.XMLInputFactory`
      Throws:
        `java.lang.IllegalArgumentException`

    - #### setProperty

          public void setProperty(java.lang.String name,
                                  java.lang.Object value)
                           throws java.lang.IllegalArgumentException

      Specified by:
        `setProperty` in class `javax.xml.stream.XMLInputFactory`
      Throws:
        `java.lang.IllegalArgumentException`

Copyright © 2005-2020 Apache Software Foundation. All Rights Reserved.